#include <bits/stdc++.h>

using namespace std;
long long pref[100005];
bool used[100005];
int main()
{
   string s;
   cin>>s;
   used[0] = true;
   pref[0] = 1;
   for(int i = 1; i < s.size(); i ++)
   {
       if(s[i] < s[i-1])
       {
           used[i] = true;
           pref[i] = pref[i-1] +1;
       } else pref[i] = pref[i-1];
   }

   long long q;
   long long l,r;
   cin>>q;
   for(int i =0; i<q; i++)
   {
       cin>>l>>r;
       l--;
       r--;
       long long ans = 0;
       ans = pref[r];
       if(used[l] == false) ans ++;
       if(l != 0) ans -= pref[l-1];
       cout<<ans<<"\n";
   }
}
